Get User Me
curl --request GET \
--url http://127.0.0.1:3333/v3/users/me \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/users/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"email": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"image": "<string>",
"company": "<string>",
"graphNavigation": "MOUSE",
"preferredAppAppearance": "<string>",
"displayedInAppNotifications": {},
"groupTitlesAutoGeneration": {
"isEnabled": true,
"provider": "<string>",
"credentialsId": "<string>",
"model": "<string>",
"prompt": "<string>"
},
"preferredLanguage": "<string>"
}{
"message": "<string>"
}Users
Get User Me
Get Authenticated User.
GET
/
v3
/
users
/
me
Get User Me
curl --request GET \
--url http://127.0.0.1:3333/v3/users/me \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/users/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"email": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"image": "<string>",
"company": "<string>",
"graphNavigation": "MOUSE",
"preferredAppAppearance": "<string>",
"displayedInAppNotifications": {},
"groupTitlesAutoGeneration": {
"isEnabled": true,
"provider": "<string>",
"credentialsId": "<string>",
"model": "<string>",
"prompt": "<string>"
},
"preferredLanguage": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Default Response
Available options:
MOUSE, TRACKPAD Show child attributes
Show child attributes
Show child attributes
Show child attributes